Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pebble.web.view.impl
Class ErrorView

    java.lang.Object
      net.sourceforge.pebble.web.view.View
          net.sourceforge.pebble.web.view.JspView
              net.sourceforge.pebble.web.view.HtmlView
                  net.sourceforge.pebble.web.view.impl.ErrorView

    public class ErrorView

extends HtmlView

Represents the error (HTTP 500) page.

Author:
  Simon Brown

Field Summary

Fields inherited from class net.sourceforge.pebble.web.view.HtmlView
`DEFAULT_THEME, SYSTEM_THEME`

Constructor Summary
`ErrorView()`

Method Summary
`protected int` | `getStatus()`
`protected java.lang.String` | `getTheme()` Gets the name of the theme to use.
`java.lang.String` | `getTitle()` Gets the title of this view.
`java.lang.String` | `getUri()` Gets the URI that this view represents.
`void` | `prepare()` Prepares the view for presentation.

Methods inherited from class net.sourceforge.pebble.web.view.HtmlView
`dispatch, getContentType`

Methods inherited from class net.sourceforge.pebble.web.view.View
`getModel, getServletContext, setModel, setServletContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ErrorView

    public ErrorView()

Method Detail

### prepare

    public void prepare()

  Description copied from class: `View`
  Prepares the view for presentation.

  Overrides:
    `prepare` in class `View`

### getTitle

    public java.lang.String getTitle()

  Gets the title of this view.

  Specified by:
    `getTitle` in class `HtmlView`
  Returns:
    the title as a String

### getStatus

    protected int getStatus()

  Overrides:
    `getStatus` in class `HtmlView`

### getTheme

    protected java.lang.String getTheme()

  Gets the name of the theme to use.

  Overrides:
    `getTheme` in class `HtmlView`
  Returns:
    the theme name as a String

### getUri

    public java.lang.String getUri()

  Gets the URI that this view represents.

  Specified by:
    `getUri` in class `JspView`
  Returns:
    the URI as a String

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2006, Simon Brown. All Rights Reserved.